Skip to content

Search these docs, or ask Revo a question — answers link the pages they came from.

Get the current system overview


GET
/api/v1/{tenantId}/system/overview

Plugin API access: this operation accepts a plugin JWT (PluginBearer) for its own tenant.

tenantId
required
string

OK

object
systemStatusOverview
object
ts
integer format: int64
seq
integer format: int64
devices
Array<object>
nullable
object
id
string
nullable
locations
Array<object>
nullable
object
id
string
nullable
barcode
string
nullable
objectName
string
nullable
plateTypeId
string
nullable
objectEntityId
string
nullable
claimee
string
nullable
isClaimed
boolean
operations
Array<object>
nullable
object
name
string
nullable
parameters
object
key
additional properties
string
nullable
startTime
integer format: int64
durationMs
integer format: int64
objectContextName
string
nullable
state
string
Allowed values: running complete error
claimee
string
nullable
isClaimed
boolean

Bad Request

object
message
string
nullable
code
string
nullable

Too Many Requests

object
message
string
nullable
code
string
nullable

Service Unavailable

object
message
string
nullable
code
string
nullable

Gateway Timeout

object
message
string
nullable
code
string
nullable